#COMMON
CORESDK_RTOS_VERSION="08_00_00_13"
CORESDK_RTOS_VERSION_DOT="08.00.00.13"
CORESDK_RTOS_VERSION_SHORT="08_00_00"
CORESDK_RTOS_VERSION_SHORT_DOT="08.00.00"
CORESDK_RTOS_FAMILY="am65xx"
CORESDK_RTOS_SOC="am65xx"
CORESDK_RTOS_SOC_CAPS="AM65XX"
CORESDK_RTOS_WEBLINK_NIGHTLY="http://gtweb.dal.design.ti.com/nightly_builds/core-sdk-rtos-${CORESDK_RTOS_FAMILY}/466-2021-06-08_14-28-43/artifacts/output/webgen/exports"
CORESDK_RTOS_WEBLINK_RC="http://tigt_qa.dal.englab.ti.com/qacm/test_area/CORESDK/08.00.00/rtos/08_00_00_13/${CORESDK_RTOS_FAMILY}/08_00_00_13/exports"
CORESDK_RTOS_WEBLINK_EXTERNAL="https://software-dl.ti.com/processor-sdk-rtos/esd/AM65X/firmware/08_00_00_13"
CORESDK_RTOS_WEBLINK="${CORESDK_RTOS_WEBLINK_RC}"
CORESDK_RTOS_WEBLINK_FIRMWARE="${CORESDK_RTOS_WEBLINK_EXTERNAL}"
CORESDK_RTOS_MD5SUM="${CORESDK_RTOS_WEBLINK}/md5sum.txt"

#Tools and Dependencies
BIOS_VERSION="6_83_02_07"
XDC_VERSION="3_61_04_40_core"
NDK_VERSION="3_80_00_19"
NS_VERSION="2_80_00_17"
CGT_ARM_VERSION="20.2.0.LTS"
CGT_C6X_VERSION="8.3.7"
CGT_C7X_VERSION="1.4.2.LTS"
CGT_PRU_VERSION="2.3.3"
GCC_ARCH64_VERSION="9.2-2019.12"
GCC_ARCH64_VERSION_WEB="9.2019.12"
GCC_ARCH64_BIN_PREFIX_STR="aarch64-elf"
CG_XML_VERSION="2.61.00"
UIA_VERSION="2_30_01_02"
XDAIS_VERSION="7_24_00_04"
DSPLIB_C66_VERSION="3_4_0_0"
MATHLIB_C66_VERSION="3_1_2_1"

#CORESDK RTOS Linux
CORESDK_RTOS_LINUX_VERSION="${CORESDK_RTOS_VERSION_DOT}"
CORESDK_RTOS_LINUX_URL="${CORESDK_RTOS_WEBLINK}/coresdk_rtos_${CORESDK_RTOS_FAMILY}_${CORESDK_RTOS_VERSION}_linux.tar.xz"
CORESDK_RTOS_LINUX_SHA256SUM="a2cd9b21b31c4563aa357805b03f89a34806db4a7127de9bb1c94359dee022e7"

#CORESDK RTOS Windows
CORESDK_RTOS_WINDOWS_VERSION="${CORESDK_RTOS_VERSION_DOT}"
CORESDK_RTOS_WINDOWS_URL="${CORESDK_RTOS_WEBLINK}/coresdk_rtos_${CORESDK_RTOS_FAMILY}_${CORESDK_RTOS_VERSION}_windows.tar.xz"
CORESDK_RTOS_WINDOWS_SHA256SUM="fde094b51779ba2a7d9d06ad83efad740fc3ab5d0da605774c62d7ef66a47f99"

#CORESDK RTOS Firmwares
CORESDK_RTOS_FIRMWARE_VERSION="${CORESDK_RTOS_VERSION_DOT}"
CORESDK_RTOS_FIRMWARE_URL="${CORESDK_RTOS_WEBLINK_FIRMWARE}/coresdk_rtos_${CORESDK_RTOS_SOC}_${CORESDK_RTOS_VERSION}_firmware.tar.xz"
CORESDK_RTOS_FIRMWARE_SHA256SUM="8d06b20f04863d01e27f911f03dd0807faa56331946da8b9148a505b31e6578b"

#CORESDK RTOS Addon
CORESDK_RTOS_ADDON_VERSION="${CORESDK_RTOS_VERSION_DOT}"
CORESDK_RTOS_ADDON_URL="${CORESDK_RTOS_WEBLINK}/coresdk_rtos_${CORESDK_RTOS_FAMILY}_${CORESDK_RTOS_VERSION}_addon.tar.xz"
CORESDK_RTOS_ADDON_SHA256SUM="d0bc6cde9deed7924ff7f006dd855b5417092a1f1f63eb4a63e62bafc95f7c61"

#CORESDK RTOS Docs
CORESDK_RTOS_DOCS_VERSION="${CORESDK_RTOS_VERSION_DOT}"
CORESDK_RTOS_DOCS_URL="${CORESDK_RTOS_WEBLINK}/coresdk_rtos_${CORESDK_RTOS_FAMILY}_${CORESDK_RTOS_VERSION}_docs_only.tar.xz"
CORESDK_RTOS_DOCS_SHA256SUM="fc97e7eac6aa25d757a12f5805e72ac4868156e585e328780306c6a0a7293528"

#PDK
PDK_VERSION="${CORESDK_RTOS_VERSION_DOT}"
PDK_URL="${CORESDK_RTOS_WEBLINK}/pdk_${CORESDK_RTOS_FAMILY}_${CORESDK_RTOS_VERSION}.zip"
PDK_SHA256SUM="06ee33e58f3a539c507cc3c0faab7916c3a998f255c2ca44b1509fa003b24d1a"

#MCUSW
MCUSW_VERSION="${CORESDK_RTOS_VERSION_DOT}"
MCUSW_URL="${CORESDK_RTOS_WEBLINK}/mcusw.zip"
MCUSW_SHA256SUM="06cba9c1266fe9c79c37f5535b9f4251c7a0963043e2cb127182764b575e7b31"

#PRU ICSS Ethercat Slave
PRU_ICSS_ETHERCAT_SLAVE_VERSION="01.00.09.09"
PRU_ICSS_ETHERCAT_SLAVE_URL="${CORESDK_RTOS_WEBLINK}/pru_icss_ethercat_slave_${PRU_ICSS_ETHERCAT_SLAVE_VERSION}.zip"
PRU_ICSS_ETHERCAT_SLAVE_SHA256SUM="4d7c559f723f23afb4c75817b7a34cd8548a586b4c8d4e5a0abe98386c1730f4"

#PRU ICSS Ethercat Slave
PRU_ICSS_PROFINET_SWITCH_VERSION="02.02.09.01"
PRU_ICSS_PROFINET_SWITCH_URL="${CORESDK_RTOS_WEBLINK}/pru_icss_profinet_switch_${PRU_ICSS_PROFINET_SWITCH_VERSION}.zip"
PRU_ICSS_PROFINET_SWITCH_SHA256SUM="07eed42297e062039765dc767967d22d539c708d1548d306ee1cb5df84052e97"

#PRU ICSS Industrial Drives
PRU_ICSS_INDUSTRIAL_DRIVES_VERSION="01.00.03.03"
PRU_ICSS_INDUSTRIAL_DRIVES_URL="${CORESDK_RTOS_WEBLINK}/pru_icss_industrial_drives_${PRU_ICSS_INDUSTRIAL_DRIVES_VERSION}.zip"
PRU_ICSS_INDUSTRIAL_DRIVES_SHA256SUM="34cabca0381a59a8bc776eab5d0c201a958374b219483da04bec2bfb010e3470"

#PRU ICSS Profinet Slave
PRU_ICSS_PROFINET_SLAVE_VERSION="01.00.04.07"
PRU_ICSS_PROFINET_SLAVE_URL="${CORESDK_RTOS_WEBLINK}/pru_icss_profinet_slave_${PRU_ICSS_PROFINET_SLAVE_VERSION}.zip"
PRU_ICSS_PROFINET_SLAVE_SHA256SUM="4a92e03de1315eefeb4d48fc842d1a63c31367b91008379483a43f9728cb51d9"

#PRU ICSS EtherNet/IP Adapter
ETHERNET_IP_ADAPTER_VERSION_DOT="01.00.04.08"
PRU_ICSS_ETHERNET_IP_ADAPTER_URL="${CORESDK_RTOS_WEBLINK}/pru_icss_ethernet_ip_adapter_${ETHERNET_IP_ADAPTER_VERSION_DOT}.zip"
PRU_ICSS_ETHERNET_IP_ADAPTER_SHA256SUM="72bad0a30c472655c112789b426ce8bb2243e4c8a268b13cb48d2dc0e23da81f"

